#############################################################################
# Author:                                                                   #
# ------                                                                    #
#  Anton Kokalj                                  Email: Tone.Kokalj@ijs.si  #
#  Department of Physical and Organic Chemistry  Phone: x 386 1 477 3523    #
#  Jozef Stefan Institute                          Fax: x 386 1 477 3811    #
#  Jamova 39, SI-1000 Ljubljana                                             #
#  SLOVENIA                                                                 #
#                                                                           #
# Source: $XCRYSDEN_TOPDIR/Tcl/cygwin.tcl
# ------                                                                    #
# Copyright (c) 2004 by Anton Kokalj                                        #
#############################################################################

#
# this file contains a few very dirty hacks needed to run under CYGWIN
#
if { $tcl_platform(platform) == "windows" }  {
    rename pwd  tcl_pwd
    #rename exec tcl_exec
    
    proc pwd {} {
	global env

	# Don't use Tcl pwd command, it will return C:\cygwin\...,
	# and CYGWIN can't handle it. Use a pwd.sh wrapper instead.

	return [exec sh $env(XCRYSDEN_TOPDIR)/scripts/pwd.sh]
    }
    
    #proc exec {args} {
    #	# first try a normal exec
    #	if { [catch {uplevel 1 [list eval tcl_exec $args]}] } {
    #	    # try to execute via "sh"
    #	    uplevel 1 [list eval tcl_exec sh $args]
    #	}
    #}
}
